<div id="preview-ticket" class="d-none"></div>

<div id="all-tickets" class="pt-4">
    <div class="section-subtitle uppercase">
        <?= __('page_title_support'); ?>
    </div>
    <div class="support-page">

        <div class="box-section inputs-container pb-2">
            <p class="text-grey" style="font-size: 16px;line-height: 18px;">
                <?= __('support_write_new_ticket_sub_title') ?>
            </p>
            <div class="clear mb-20"></div>
            <p class="text-grey" style="font-weight: 600;"><?= __('support_write_new_ticket') ?></p>
            <div class="clear mb-10"></div>

            <div class="form-container">
                <?= $this->render('support/ajax-add-ticket.phtml') ?>
            </div>

        </div>
        <div class="clear mb-20"></div>

        <div class="section-subtitle uppercase"><?= __('sprt_tickets_list_open') ?></div>
        <div class="box-section inputs-container">
            <div class="open-tickets-container">
                <? if (count($this->tickets['open']) > 0): ?>
                    <? foreach ($this->tickets['open'] AS $i => $ticket): ?>

                        <div class="support-ticket">
                            <p class="text-grey d-flex align-items-center flex-wrap text-break">
                                <a href="#"
                                   onClick="return Support.loadTicket(event, <?= $ticket['id'] ?>)"><?= __('ticket') ?> <?= __('id') ?>
                                    #<?= $ticket['id'] ?></a>&nbsp;
                                <? if (!$ticket['is_read'] AND $ticket['status_progress'] == Model_Support::STATUS_READ_REPLIED): ?>
                                    <img class="mx-2" src="/images/alert.svg" width="18" title="<?= __('new_reply') ?>">
                                <? endif; ?>
                                (<?= date("d.m.Y", strtotime($ticket['creation_date'])) ?>)
                                <span class="point"></span>
                                <span style="color: black"><b><?= _shorten(strip_tags($ticket['subject']), 30) ?></b></span>
                            </p>
                            <div class="mt-10"></div>
                            <p class="text-grey"> <?= _shorten(strip_tags($ticket['message']), 80) ?> </p>
                            <div class="clear mb-10"></div>
                        </div>

                    <? endforeach; ?>
                <? else: ?>
                    <p class="text-grey"><?= __('sprt_dont_have_opened_tickets') ?></p>
                <? endif; ?>
            </div>
        </div>
        <div class="clear mb-20"></div>
        <!-- Pagination -->
        <? $pages_count = ceil($this->tickets['open_tickets_count'] / $this->pagination['per_page']); ?>
        <? if ($pages_count != 1): ?>

            <section id="paging"
                     class="pagination-container d-flex justify-content-sm-center justify-content-md-between align-items-center">
                <div class="pagination d-flex align-items-center">
                    <? $pages = $this->paging($this->tickets['open_tickets_count'], $this->pagination['ot_page'], $this->pagination['per_page'], 7, 3); ?>

                    <? if (1 < $this->pagination['ot_page']): ?>
                        <a class="page-number grey "
                           onClick="return Support.load(event, '/support/ajax-tickets-list?ajax=1', {'ct_page' : <?= $this->pagination['ct_page'] ?>, 'ot_page': <?= $this->pagination['ot_page'] - 1 ?>})"
                           href="#"><</a>
                    <? endif; ?>

                    <? foreach ($pages as $page): ?>
                        <? if ($this->pagination['ot_page'] == $page): ?>
                            <a class="page-number grey active">
                                <b><?= $page ?></b></a>
                        <? else: ?>
                            <a class="page-number grey "
                               onClick="return Support.load(event, '/support/ajax-tickets-list?ajax=1', {'ct_page' : <?= $this->pagination['ct_page'] ?> ,'ot_page': <?= $page ?>})">
                                <?= $page ?></a>
                        <? endif; ?>
                    <? endforeach; ?>
                    <? if ($pages_count > $this->pagination['ot_page']): ?>
                        <a class="page-number btn-grey "
                           onClick="return Support.load(event, '/support/ajax-tickets-list?ajax=1', {'ct_page' : <?= $this->pagination['ct_page'] ?> ,'ot_page': <?= $this->pagination['ot_page'] + 1 ?>})">></a>
                    <? endif; ?>
                </div>
            </section>
        <? endif; ?>
        <!-- / -->


        <div class="clear mb-20"></div>
        <div class="section-subtitle uppercase"><?= __('sprt_tickets_list_closed') ?></div>
        <div class="box-section inputs-container">
            <div class="closed-tickets-container">
                <? if (count($this->tickets['closed']) > 0): ?>
                    <? foreach ($this->tickets['closed'] AS $i => $ticket): ?>

                        <div class="support-ticket">
                            <p class="text-grey d-flex align-items-center flex-wrap text-break">
                                <a href="#"
                                   onClick="return Support.loadTicket(event, <?= $ticket['id'] ?>)"><?= __('ticket') ?> <?= __('id') ?>
                                    #<?= $ticket['id'] ?></a>&nbsp;
                                <? if (!$ticket['is_read'] AND $ticket['status_progress'] == Model_Support::STATUS_READ_REPLIED): ?>
                                    <img class="mx-2" src="/images/alert.svg" width="18" title="<?= __('new_reply') ?>">
                                <? endif; ?>
                                (<?= date("d.m.Y", strtotime($ticket['creation_date'])) ?>)
                                <span class="point"></span>
                                <span style="color: black"><b><?= _shorten(strip_tags($ticket['subject']), 30) ?></b></span>
                            </p>
                            <div class="mt-10"></div>
                            <p class="text-grey"> <?= _shorten(strip_tags($ticket['message']), 80) ?> </p>
                            <div class="clear mb-10"></div>
                        </div>

                    <? endforeach; ?>
                <? else: ?>
                    <p class="text-grey"><?= __('sprt_dont_have_closed_tickets') ?></p>
                <? endif; ?>
            </div>
        </div>
        <div class="clear mb-20"></div>
        <!-- Pagination -->
        <? $pages_count = ceil($this->tickets['closed_tickets_count'] / $this->pagination['per_page']); ?>
        <? if ($pages_count != 1): ?>
            <section id="paging"
                     class="pagination-container d-flex justify-content-sm-center justify-content-md-between align-items-center">
                <div class="pagination d-flex align-items-center">
                    <? $pages = $this->paging($this->tickets['closed_tickets_count'], $this->pagination['ct_page'], $this->pagination['per_page'], 7, 3); ?>

                    <? if (1 < $this->pagination['ct_page']): ?>
                        <a class="page-number grey "
                           onClick="return Support.load(event, '/support/ajax-tickets-list?ajax=1', {'ot_page' : <?= $this->pagination['ot_page'] ?>, 'ct_page': <?= $this->pagination['ct_page'] - 1 ?>})"
                           href="#"><</a>
                    <? endif; ?>

                    <? foreach ($pages as $page): ?>
                        <? if ($this->pagination['ct_page'] == $page): ?>
                            <a class="page-number grey active">
                                <b><?= $page ?></b></a>
                        <? else: ?>
                            <a class="page-number grey "
                               onClick="return Support.load(event, '/support/ajax-tickets-list?ajax=1', {'ot_page' : <?= $this->pagination['ot_page'] ?> , 'ct_page': <?= $page ?>})">
                                <?= $page ?></a>
                        <? endif; ?>
                    <? endforeach; ?>
                    <? if ($pages_count > $this->pagination['ct_page']): ?>
                        <a class="page-number grey "
                           onClick="return Support.load(event, '/support/ajax-tickets-list?ajax=1', {'ot_page': <?= $this->pagination['ot_page'] ?> , 'ct_page': <?= $this->pagination['ct_page'] + 1 ?>})"
                           href="#">></a>
                    <? endif; ?>
                </div>
            </section>
        <? endif; ?>


        <!-- / -->
        <div class="clear mb-40"></div>

    </div>

</div>



